
// ---------------------------------------SampleService.js
SConnect.RegisterNamespace("MyCompany.Server");

MyCompany.Server.SampleService = function(readerName,portNum,serviceName){
	this.marshaller = new SConnect.Marshaller(readerName,portNum,serviceName,0xE38E8F, 0xCF6A);
}

MyCompany.Server.SampleService.prototype = {

	SampleMethod : function(input){
		return this.marshaller.invoke(1, 0x6279, MARSHALLER_TYPE_IN_STRING, input, MARSHALLER_TYPE_RET_STRING);
	},

	dispose : function(){
		this.marshaller.dispose();
	}

};
